> ## Documentation Index
> Fetch the complete documentation index at: https://merlin.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Responses

> This endpoint lists all responses for a given study.

### Path Parameters

<ParamField path="link_id" type="string">
  The link ID of the study. You can find this in the study URL or via the List Studies endpoint.
  For example, in `https://listenlabs.ai/s/abc123` the link ID is `abc123`.
</ParamField>

### Query Parameters

<ParamField query="page" type="integer" default="0">
  The page number for pagination.
</ParamField>

<ParamField query="per_page" type="integer" default="1000">
  Number of responses to return per page.
</ParamField>

<ParamField query="updated_since" type="string">
  ISO 8601 date string to filter responses updated after this date (e.g., `2023-08-18T11:51:54.649916Z`).
</ParamField>

<ParamField query="include_in_progress" type="boolean" default="true">
  Whether to include responses that who's analysis is still in progress.
</ParamField>

### Response

Returns a list of responses for the given study.
Each response is an object with the following fields:

<ResponseField name="id" type="uuid">
  Unique identifier for the response.
</ResponseField>

<ResponseField name="response_number" type="number">
  The ordered number of the response.
</ResponseField>

<ResponseField name="created_at" type="string">
  UTC timestamp of when the response was created.
</ResponseField>

<ResponseField name="updated_at" type="string">
  UTC timestamp of when the response was last updated.
</ResponseField>

<ResponseField name="answers" type="object">
  Answers to all questions of the study.

  <Expandable title="Example Answers">
    <ResponseField name="Summary" type="string">
      A summary of the entire conversation. Available for all studys.
    </ResponseField>

    <ResponseField name="Question 1" type="string">
      Everything the user said in response to question 1.
    </ResponseField>

    <ResponseField name="Question 2" type="string">
      Everything the user said in response to question 2.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="answers_array" type="Response[]">
  Answers to all questions of the study as an array.

  <Expandable title="Response">
    <ResponseField name="answer_id" type="string">
      The answer ID. Matches the `answer_id` on transcript rows from the single response endpoint, enabling cross-referencing.
    </ResponseField>

    <ResponseField name="discussion_guide_question_id" type="string">
      The discussion guide question ID.
    </ResponseField>

    <ResponseField name="concept_id" type="string | null">
      The concept ID. Null if not concept-specific.
    </ResponseField>

    <ResponseField name="question_id" type="string" deprecated>
      Deprecated. Use `answer_id` instead.
    </ResponseField>

    <ResponseField name="question" type="string">
      The question text.
    </ResponseField>

    <ResponseField name="answer" type="string">
      The answer to the question.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="attributes" type="object">
  URL parameters that were passed to the study.

  <Expandable title="Example Attributes">
    <ResponseField name="id" type="string">
      An id that is passed to study eg. `https://listenlabs.ai/s/abc123?id=123`.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="short_transcript" type="string">
  A transcript of the entire conversation where the assistant messages are
  shortened to a couple of words.
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl 'https://listenlabs.ai/api/public/responses/study123?page=0&per_page=100&updated_since=2023-08-18T00:00:00Z' \
  -H 'x-api-key: <api_key>'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  [
    {
      "id": "12345678-0000-0000-0000-000000000000",
      "created_at": "2023-08-18T11:51:54.649916+00:00",
      "answers": {
        "Summary": "Summary of response 1",
        "Question 1": "Answer of question 1",
        "Question 2": "Answer of question 2"
      },
      "answers_array": [
        {
          "answer_id": "f1e2d3c4-0000-0000-0000-000000000001",
          "discussion_guide_question_id": "a1b2c3d4-0000-0000-0000-000000000001",
          "concept_id": null,
          "question_id": "q-001",
          "question": "Question 1",
          "answer": "Answer of question 1"
        },
        {
          "answer_id": "f1e2d3c4-0000-0000-0000-000000000002",
          "discussion_guide_question_id": "a1b2c3d4-0000-0000-0000-000000000002",
          "concept_id": "b2c3d4e5-0000-0000-0000-000000000001",
          "question_id": "q-002",
          "question": "Question 2",
          "answer": "Answer of question 2"
        }
      ],
      "attributes": { "id": "123" },
      "short_transcript": "• Welcome → Start\n• Ask for name → John\n• Thank you, bye → "
    },
    {
      "id": "23456789-0000-0000-0000-000000000000",
      "created_at": "2023-08-19T11:51:54.649916+00:00",
      "answers": {
        "Summary": "Summary of response 2",
        "Question 1": "Answer of question 1",
        "Question 2": "Answer of question 2"
      },
      "answers_array": [
        {
          "answer_id": "f1e2d3c4-0000-0000-0000-000000000001",
          "discussion_guide_question_id": "a1b2c3d4-0000-0000-0000-000000000001",
          "concept_id": null,
          "question_id": "q-001",
          "question": "Question 1",
          "answer": "Answer of question 1"
        },
        {
          "answer_id": "f1e2d3c4-0000-0000-0000-000000000002",
          "discussion_guide_question_id": "a1b2c3d4-0000-0000-0000-000000000002",
          "concept_id": null,
          "question_id": "q-002",
          "question": "Question 2",
          "answer": "Answer of question 2"
        }
      ],
      "attributes": { "id": "567" },
      "short_transcript": "• Welcome → Start\n• Ask for name → Alice\n• Thank you, bye → "
    }
  ]
  ```
</ResponseExample>
